.modal-menu__link
{
    color: $modal_menu_link_color;
    display: block;

    font-size: $modal_menu_link_font_size_em;
    font-weight: bold;

    padding: $modal_menu_link_padding_em 0;

    text-decoration: none;
}

.modal-menu__link--button
{
    background: 0;
    cursor: pointer;
    font-family: $modal_menu_link_font_family;
    position: relative;
    width: 100%;
}

.modal-menu__link--button:after,
.modal-menu__link--button:before
{
    border-left: $modal_menu_link_button_arrow_sizepx solid $modal_menu_link_button_arrow_color;
    border-top: $modal_menu_link_button_arrow_sizepx solid $modal_menu_link_button_arrow_color;

    content: '';

    height: $modal_menu_link_button_arrow_widthpx;

    position: absolute;
    
    right: $modal_menu_link_button_arrow_widthpx;

    -moz-transform: translateY( $modal_menu_link_button_arrow_offset_downpx ) rotate( -135deg );
    -ms-transform: translateY( $modal_menu_link_button_arrow_offset_downpx ) rotate( -135deg );
    -o-transform: translateY( $modal_menu_link_button_arrow_offset_downpx ) rotate( -135deg );
    -webkit-transform: translateY( $modal_menu_link_button_arrow_offset_downpx ) rotate( -135deg );
    transform: translateY( $modal_menu_link_button_arrow_offset_downpx ) rotate( -135deg );

    top: 50%;

    width: $modal_menu_link_button_arrow_widthpx;
}

.Toggle--active .modal-menu__link--button:after,
.Toggle--active .modal-menu__link--button:before
{
    -moz-transform: translateY( $modal_menu_link_button_arrow_offset_uppx ) rotate( 45deg );
    -ms-transform: translateY( $modal_menu_link_button_arrow_offset_uppx ) rotate( 45deg );
    -o-transform: translateY( $modal_menu_link_button_arrow_offset_uppx ) rotate( 45deg );
    -webkit-transform: translateY( $modal_menu_link_button_arrow_offset_uppx ) rotate( 45deg );
    transform: translateY( $modal_menu_link_button_arrow_offset_uppx ) rotate( 45deg );
}

.modal-menu__link--button:hover,
.modal-menu__link--on
{
    text-decoration: underline; /* match a:hover */
}

.modal-menu__link--innerlist
{
    font-size: $modal_menu_link_innerlist_font_size_em;
    padding: $modal_menu_link_padding_em;
}
